---
apiVersion: v1
kind: List
items:
- apiVersion: v1
  kind: ServiceAccount
  metadata:
    annotations:
      maven.fabric8.io/source-url: jar:file:/root/.mvnrepository/io/fabric8/devops/apps/configmapcontroller/2.2.335/configmapcontroller-2.2.335.jar!/META-INF/fabric8/openshift.yml
    labels:
      provider: fabric8
      project: configmapcontroller
      version: 2.2.335
      group: io.fabric8.devops.apps
    name: configmapcontroller
- apiVersion: v1
  kind: ServiceAccount
  metadata:
    annotations:
      maven.fabric8.io/source-url: jar:file:/root/.mvnrepository/io/fabric8/devops/apps/exposecontroller/2.2.335/exposecontroller-2.2.335.jar!/META-INF/fabric8/openshift.yml
    labels:
      provider: fabric8
      project: exposecontroller
      version: 2.2.335
      group: io.fabric8.devops.apps
    name: exposecontroller
- apiVersion: v1
  kind: ServiceAccount
  metadata:
    annotations:
      serviceaccounts.openshift.io/oauth-redirectreference.fabric8-runtime-console: '{"kind":"OAuthRedirectReference","apiVersion":"v1","reference":{"kind":"Route","name":"fabric8-runtime-console"}}'
      maven.fabric8.io/source-url: jar:file:/root/.mvnrepository/io/fabric8/platform/console2/fabric8-runtime-console/1.0.15/fabric8-runtime-console-1.0.15.jar!/META-INF/fabric8/openshift.yml
    labels:
      provider: fabric8
      project: fabric8-runtime-console
      version: 1.0.15
      group: io.fabric8.platform.console2
    name: fabric8-runtime-console
- apiVersion: v1
  kind: ServiceAccount
  metadata:
    annotations:
      maven.fabric8.io/source-url: jar:file:/home/jenkins/workspace/c8-cd_fabric8-devops_master-U77AXCWVHY5J4ICIAXQ3CBO4JLI6WGQAKC2QKZKG62X3KL7SSOXQ/prometheus/target/prometheus-2.2.335.jar!/META-INF/fabric8/openshift.yml
    labels:
      provider: fabric8
      project: prometheus
      version: 2.2.335
      group: io.fabric8.devops.apps
    name: metrics
- apiVersion: v1
  kind: ServiceAccount
  metadata:
    annotations:
      maven.fabric8.io/source-url: jar:file:/home/jenkins/workspace/c8-cd_fabric8-devops_master-U77AXCWVHY5J4ICIAXQ3CBO4JLI6WGQAKC2QKZKG62X3KL7SSOXQ/prometheus-node-exporter/target/prometheus-node-exporter-2.2.335.jar!/META-INF/fabric8/openshift.yml
    labels:
      provider: fabric8
      project: prometheus-node-exporter
      version: 2.2.335
      group: io.fabric8.devops.apps
    name: node-exporter
- apiVersion: v1
  kind: OAuthClient
  metadata:
    annotations:
      maven.fabric8.io/source-url: jar:file:/home/jenkins/workspace/auto_fabric8-online_master-5IANNQP4JMCKRB2TMNCY2EVRW4HXDP4B5SXIL6W4OJSZQCEE6TEA@2/packages/fabric8-online-platform-minimal/target/fabric8-online-platform-minimal-1.0.281.jar!/META-INF/fabric8/openshift.yml
    labels:
      app: fabric8-online-platform-minimal
      provider: fabric8
      version: 1.0.281
      group: io.fabric8.online.packages
    name: fabric8
  redirectURIs:
  - https://localhost:4200
- apiVersion: v1
  kind: Service
  metadata:
    annotations:
      prometheus.io/scrape: "true"
      prometheus.io/port: "9115"
      fabric8.io/git-commit: 3e966ed4dd654367b6b0fff80622fea0e858c2df
      fabric8.io/scm-con-url: scm:git:git@github.com:fabric8io/fabric8-devops.git/prometheus-blackbox-exporter
      fabric8.io/scm-url: http://github.com/fabric8io/fabric8-devops/prometheus-blackbox-exporter
      fabric8.io/iconUrl: https://cdn.rawgit.com/fabric8io/fabric8-devops/master/prometheus-blackbox-exporter/src/main/fabric8/icon.png
      fabric8.io/git-branch: release-v2.2.335
      fabric8.io/scm-devcon-url: scm:git:git@github.com:fabric8io/fabric8-devops.git/prometheus-blackbox-exporter
      fabric8.io/scm-tag: fabric8-devops-2.0.1
      maven.fabric8.io/source-url: jar:file:/home/jenkins/workspace/c8-cd_fabric8-devops_master-U77AXCWVHY5J4ICIAXQ3CBO4JLI6WGQAKC2QKZKG62X3KL7SSOXQ/prometheus-blackbox-exporter/target/prometheus-blackbox-exporter-2.2.335.jar!/META-INF/fabric8/openshift.yml
    labels:
      expose: "true"
      provider: fabric8
      project: prometheus-blackbox-exporter
      version: 2.2.335
      group: io.fabric8.devops.apps
    name: blackbox-exporter
  spec:
    ports:
    - name: http
      port: 80
      protocol: TCP
      targetPort: 9115
    selector:
      project: prometheus-blackbox-exporter
      provider: fabric8
      group: io.fabric8.devops.apps
- apiVersion: v1
  kind: Service
  metadata:
    annotations:
      fabric8.io/git-commit: 3e966ed4dd654367b6b0fff80622fea0e858c2df
      fabric8.io/scm-con-url: scm:git:git@github.com:fabric8io/fabric8-devops.git/elasticsearch
      fabric8.io/scm-url: http://github.com/fabric8io/fabric8-devops/elasticsearch
      fabric8.io/iconUrl: https://cdn.rawgit.com/fabric8io/fabric8-devops/master/elasticsearch/src/main/fabric8/icon.png
      fabric8.io/git-branch: release-v2.2.335
      fabric8.io/scm-devcon-url: scm:git:git@github.com:fabric8io/fabric8-devops.git/elasticsearch
      fabric8.io/scm-tag: fabric8-devops-2.0.1
      maven.fabric8.io/source-url: jar:file:/root/.mvnrepository/io/fabric8/devops/apps/elasticsearch/2.2.335/elasticsearch-2.2.335.jar!/META-INF/fabric8/openshift.yml
    labels:
      provider: fabric8
      expose: "true"
      project: elasticsearch
      version: 2.2.335
      group: io.fabric8.devops.apps
    name: elasticsearch
  spec:
    ports:
    - name: http
      port: 9200
      protocol: TCP
      targetPort: 9200
    selector:
      project: elasticsearch
      provider: fabric8
      group: io.fabric8.devops.apps
- apiVersion: v1
  kind: Service
  metadata:
    annotations:
      fabric8.io/git-commit: 3e966ed4dd654367b6b0fff80622fea0e858c2df
      fabric8.io/scm-con-url: scm:git:git@github.com:fabric8io/fabric8-devops.git/elasticsearch
      fabric8.io/scm-url: http://github.com/fabric8io/fabric8-devops/elasticsearch
      fabric8.io/iconUrl: https://cdn.rawgit.com/fabric8io/fabric8-devops/master/elasticsearch/src/main/fabric8/icon.png
      fabric8.io/git-branch: release-v2.2.335
      fabric8.io/scm-devcon-url: scm:git:git@github.com:fabric8io/fabric8-devops.git/elasticsearch
      fabric8.io/scm-tag: fabric8-devops-2.0.1
      maven.fabric8.io/source-url: jar:file:/root/.mvnrepository/io/fabric8/devops/apps/elasticsearch/2.2.335/elasticsearch-2.2.335.jar!/META-INF/fabric8/openshift.yml
    labels:
      provider: fabric8
      project: elasticsearch
      version: 2.2.335
      group: io.fabric8.devops.apps
    name: elasticsearch-masters
  spec:
    clusterIP: None
    ports:
    - name: discovery
      port: 9300
      protocol: TCP
      targetPort: 9300
    selector:
      project: elasticsearch
      provider: fabric8
      group: io.fabric8.devops.apps
- apiVersion: v1
  kind: Service
  metadata:
    annotations:
      fabric8.io/app-menu: development
      fabric8.io/iconUrl: https://cdn.rawgit.com/fabric8io/fabric8-console/f619a352/img/fabric8_icon.svg
      fabric8.io/git-commit: 76ae64103ce803174e324eb23dfae16e9b397999
      fabric8.io/git-branch: release-v1.0.15
      fabric8.io/scm-con-url: scm:git:git@github.com:fabric8io/fabric8-runtime-console.git
      fabric8.io/scm-devcon-url: scm:git:git@github.com:fabric8io/fabric8-runtime-console.git
      fabric8.io/scm-tag: fabric8-runtime-console-2.0.1
      fabric8.io/scm-url: http://github.com/fabric8io/fabric8-runtime-console
      maven.fabric8.io/source-url: jar:file:/root/.mvnrepository/io/fabric8/platform/console2/fabric8-runtime-console/1.0.15/fabric8-runtime-console-1.0.15.jar!/META-INF/fabric8/openshift.yml
    labels:
      project: fabric8-runtime-console
      provider: fabric8
      expose: "true"
      version: 1.0.15
      group: io.fabric8.platform.console2
    name: fabric8-runtime-console
  spec:
    ports:
    - name: http
      port: 80
      protocol: TCP
      targetPort: 8001
    selector:
      project: fabric8-runtime-console
      provider: fabric8
      group: io.fabric8.platform.console2
- apiVersion: v1
  kind: Service
  metadata:
    annotations:
      fabric8.io/app-menu: development
      fabric8.io/git-commit: 3e966ed4dd654367b6b0fff80622fea0e858c2df
      fabric8.io/scm-con-url: scm:git:git@github.com:fabric8io/fabric8-devops.git/grafana
      fabric8.io/scm-url: http://github.com/fabric8io/fabric8-devops/grafana
      fabric8.io/iconUrl: https://cdn.rawgit.com/fabric8io/fabric8-devops/master/grafana/src/main/fabric8/icon.png
      fabric8.io/git-branch: release-v2.2.335
      fabric8.io/scm-devcon-url: scm:git:git@github.com:fabric8io/fabric8-devops.git/grafana
      fabric8.io/scm-tag: fabric8-devops-2.0.1
      maven.fabric8.io/source-url: jar:file:/home/jenkins/workspace/c8-cd_fabric8-devops_master-U77AXCWVHY5J4ICIAXQ3CBO4JLI6WGQAKC2QKZKG62X3KL7SSOXQ/grafana/target/grafana-2.2.335.jar!/META-INF/fabric8/openshift.yml
    labels:
      provider: fabric8
      expose: "true"
      project: grafana
      version: 2.2.335
      group: io.fabric8.devops.apps
    name: grafana
  spec:
    ports:
    - name: http
      port: 80
      protocol: TCP
      targetPort: 3000
    selector:
      project: grafana
      provider: fabric8
      group: io.fabric8.devops.apps
- apiVersion: v1
  kind: Service
  metadata:
    annotations:
      fabric8.io/app-menu: management
      fabric8.io/git-commit: 3e966ed4dd654367b6b0fff80622fea0e858c2df
      fabric8.io/scm-con-url: scm:git:git@github.com:fabric8io/fabric8-devops.git/kibana
      fabric8.io/scm-url: http://github.com/fabric8io/fabric8-devops/kibana
      fabric8.io/iconUrl: https://cdn.rawgit.com/fabric8io/fabric8-devops/master/kibana/src/main/fabric8/icon.svg
      fabric8.io/git-branch: release-v2.2.335
      fabric8.io/scm-devcon-url: scm:git:git@github.com:fabric8io/fabric8-devops.git/kibana
      fabric8.io/scm-tag: fabric8-devops-2.0.1
      maven.fabric8.io/source-url: jar:file:/root/.mvnrepository/io/fabric8/devops/apps/kibana/2.2.335/kibana-2.2.335.jar!/META-INF/fabric8/openshift.yml
    labels:
      provider: fabric8
      expose: "true"
      project: kibana
      version: 2.2.335
      group: io.fabric8.devops.apps
    name: kibana
  spec:
    ports:
    - name: http
      port: 80
      protocol: TCP
      targetPort: 5601
    selector:
      project: kibana
      provider: fabric8
      group: io.fabric8.devops.apps
- apiVersion: v1
  kind: Service
  metadata:
    annotations:
      fabric8.io/app-menu: development
      fabric8.io/git-commit: 55cd5281bcfb201c79e7ba362fe68b839778086e
      fabric8.io/scm-con-url: scm:git:git@github.com:fabric8io/fabric8-online.git/apps/fabric8-planner
      fabric8.io/scm-url: http://github.com/fabric8io/fabric8-online/apps/fabric8-planner
      fabric8.io/iconUrl: https://cdn.rawgit.com/fabric8io/fabric8-online/master/apps/fabric8-planner/src/main/fabric8/icon.png
      fabric8.io/git-branch: release-v1.0.281
      fabric8.io/scm-devcon-url: scm:git:git@github.com:fabric8io/fabric8-online.git/apps/fabric8-planner
      fabric8.io/scm-tag: fabric8-online-2.0.1
      maven.fabric8.io/source-url: jar:file:/home/jenkins/workspace/auto_fabric8-online_master-5IANNQP4JMCKRB2TMNCY2EVRW4HXDP4B5SXIL6W4OJSZQCEE6TEA@2/apps/fabric8-planner/target/fabric8-planner-1.0.281.jar!/META-INF/fabric8/openshift.yml
    labels:
      app: fabric8-planner
      provider: fabric8
      expose: "true"
      version: 1.0.281
      group: io.fabric8.online.apps
    name: planner
  spec:
    ports:
    - name: http
      port: 80
      protocol: TCP
      targetPort: 8080
    selector:
      app: fabric8-planner
      provider: fabric8
      group: io.fabric8.online.apps
- apiVersion: v1
  kind: Service
  metadata:
    annotations:
      prometheus.io/scrape: "true"
      fabric8.io/app-menu: management
      fabric8.io/git-commit: 3e966ed4dd654367b6b0fff80622fea0e858c2df
      fabric8.io/scm-con-url: scm:git:git@github.com:fabric8io/fabric8-devops.git/prometheus
      fabric8.io/scm-url: http://github.com/fabric8io/fabric8-devops/prometheus
      fabric8.io/iconUrl: https://cdn.rawgit.com/fabric8io/fabric8-devops/master/prometheus/src/main/fabric8/icon.png
      fabric8.io/git-branch: release-v2.2.335
      fabric8.io/scm-devcon-url: scm:git:git@github.com:fabric8io/fabric8-devops.git/prometheus
      fabric8.io/scm-tag: fabric8-devops-2.0.1
      maven.fabric8.io/source-url: jar:file:/home/jenkins/workspace/c8-cd_fabric8-devops_master-U77AXCWVHY5J4ICIAXQ3CBO4JLI6WGQAKC2QKZKG62X3KL7SSOXQ/prometheus/target/prometheus-2.2.335.jar!/META-INF/fabric8/openshift.yml
    labels:
      provider: fabric8
      expose: "true"
      project: prometheus
      version: 2.2.335
      group: io.fabric8.devops.apps
    name: prometheus
  spec:
    ports:
    - name: http
      port: 80
      protocol: TCP
      targetPort: 9090
    selector:
      project: prometheus
      provider: fabric8
      group: io.fabric8.devops.apps
- apiVersion: v1
  kind: PolicyBinding
  metadata:
    annotations:
      maven.fabric8.io/source-url: jar:file:/home/jenkins/workspace/auto_fabric8-online_master-5IANNQP4JMCKRB2TMNCY2EVRW4HXDP4B5SXIL6W4OJSZQCEE6TEA@2/packages/fabric8-online-platform-minimal/target/fabric8-online-platform-minimal-1.0.281.jar!/META-INF/fabric8/openshift.yml
    labels:
      app: fabric8-online-platform-minimal
      provider: fabric8
      version: 1.0.281
      group: io.fabric8.online.packages
    name: ${NAMESPACE}:default
  policyRef:
    name: default
    namespace: ${NAMESPACE}
- apiVersion: v1
  kind: Role
  metadata:
    annotations:
      maven.fabric8.io/source-url: jar:file:/home/jenkins/workspace/auto_fabric8-online_master-5IANNQP4JMCKRB2TMNCY2EVRW4HXDP4B5SXIL6W4OJSZQCEE6TEA@2/packages/fabric8-online-platform-minimal/target/fabric8-online-platform-minimal-1.0.281.jar!/META-INF/fabric8/openshift.yml
    labels:
      app: fabric8-online-platform-minimal
      provider: fabric8
      version: 1.0.281
      group: io.fabric8.online.packages
    name: configmapcontroller
  rules:
  - resources:
    - deployments
    - deploymentconfigs
    verbs:
    - update
    - patch
    - get
    - list
    - watch
- apiVersion: v1
  kind: Role
  metadata:
    annotations:
      maven.fabric8.io/source-url: jar:file:/home/jenkins/workspace/auto_fabric8-online_master-5IANNQP4JMCKRB2TMNCY2EVRW4HXDP4B5SXIL6W4OJSZQCEE6TEA@2/packages/fabric8-online-platform-minimal/target/fabric8-online-platform-minimal-1.0.281.jar!/META-INF/fabric8/openshift.yml
    labels:
      app: fabric8-online-platform-minimal
      provider: fabric8
      version: 1.0.281
      group: io.fabric8.online.packages
    name: exposecontroller
  rules:
  - resources:
    - configmaps
    - services
    - routes
    verbs:
    - create
    - update
    - patch
    - get
    - list
    - watch
- apiVersion: v1
  kind: RoleBinding
  metadata:
    annotations:
      maven.fabric8.io/source-url: jar:file:/home/jenkins/workspace/auto_fabric8-online_master-5IANNQP4JMCKRB2TMNCY2EVRW4HXDP4B5SXIL6W4OJSZQCEE6TEA@2/packages/fabric8-online-platform-minimal/target/fabric8-online-platform-minimal-1.0.281.jar!/META-INF/fabric8/openshift.yml
    labels:
      app: fabric8-online-platform-minimal
      provider: fabric8
      version: 1.0.281
      group: io.fabric8.online.packages
    name: configmapcontroller
  roleRef:
    name: configmapcontroller
    namespace: ${NAMESPACE}
  subjects:
  - kind: ServiceAccount
    name: configmapcontroller
- apiVersion: v1
  kind: RoleBinding
  metadata:
    annotations:
      maven.fabric8.io/source-url: jar:file:/root/.mvnrepository/io/fabric8/devops/apps/configmapcontroller/2.2.335/configmapcontroller-2.2.335.jar!/META-INF/fabric8/openshift.yml
    labels:
      provider: fabric8
      project: configmapcontroller
      version: 2.2.335
      group: io.fabric8.devops.apps
    name: configmapcontroller-edit
  roleRef:
    name: edit
  subjects:
  - kind: ServiceAccount
    name: configmapcontroller
- apiVersion: v1
  kind: RoleBinding
  metadata:
    annotations:
      maven.fabric8.io/source-url: jar:file:/home/jenkins/workspace/auto_fabric8-online_master-5IANNQP4JMCKRB2TMNCY2EVRW4HXDP4B5SXIL6W4OJSZQCEE6TEA@2/packages/fabric8-online-platform-minimal/target/fabric8-online-platform-minimal-1.0.281.jar!/META-INF/fabric8/openshift.yml
    labels:
      app: fabric8-online-platform-minimal
      provider: fabric8
      version: 1.0.281
      group: io.fabric8.online.packages
    name: exposecontroller
  roleRef:
    name: exposecontroller
    namespace: ${NAMESPACE}
  subjects:
  - kind: ServiceAccount
    name: exposecontroller
- apiVersion: v1
  kind: RoleBinding
  metadata:
    annotations:
      maven.fabric8.io/source-url: jar:file:/root/.mvnrepository/io/fabric8/devops/apps/exposecontroller/2.2.335/exposecontroller-2.2.335.jar!/META-INF/fabric8/openshift.yml
    labels:
      provider: fabric8
      project: exposecontroller
      version: 2.2.335
      group: io.fabric8.devops.apps
    name: exposecontroller-edit
  roleRef:
    name: edit
  subjects:
  - kind: ServiceAccount
    name: exposecontroller
- apiVersion: v1
  kind: PersistentVolumeClaim
  metadata:
    annotations:
      maven.fabric8.io/source-url: jar:file:/root/.mvnrepository/io/fabric8/devops/apps/elasticsearch/2.2.335/elasticsearch-2.2.335.jar!/META-INF/fabric8/openshift.yml
    labels:
      provider: fabric8
      project: elasticsearch
      version: 2.2.335
      group: io.fabric8.devops.apps
    name: es-data
  spec:
    accessModes:
    - ReadWriteOnce
    resources:
      requests:
        storage: 10Gi
- apiVersion: v1
  kind: PersistentVolumeClaim
  metadata:
    annotations:
      maven.fabric8.io/source-url: jar:file:/home/jenkins/workspace/c8-cd_fabric8-devops_master-U77AXCWVHY5J4ICIAXQ3CBO4JLI6WGQAKC2QKZKG62X3KL7SSOXQ/grafana/target/grafana-2.2.335.jar!/META-INF/fabric8/openshift.yml
    labels:
      provider: fabric8
      project: grafana
      version: 2.2.335
      group: io.fabric8.devops.apps
    name: grafana-data
  spec:
    accessModes:
    - ReadWriteOnce
    resources:
      requests:
        storage: 1Gi
- apiVersion: v1
  kind: PersistentVolumeClaim
  metadata:
    annotations:
      maven.fabric8.io/source-url: jar:file:/home/jenkins/workspace/c8-cd_fabric8-devops_master-U77AXCWVHY5J4ICIAXQ3CBO4JLI6WGQAKC2QKZKG62X3KL7SSOXQ/prometheus/target/prometheus-2.2.335.jar!/META-INF/fabric8/openshift.yml
    labels:
      provider: fabric8
      project: prometheus
      version: 2.2.335
      group: io.fabric8.devops.apps
    name: prometheus-data
  spec:
    accessModes:
    - ReadWriteOnce
    resources:
      requests:
        storage: 1Gi
- apiVersion: v1
  kind: ConfigMap
  metadata:
    annotations:
      maven.fabric8.io/source-url: jar:file:/home/jenkins/workspace/c8-cd_fabric8-devops_master-U77AXCWVHY5J4ICIAXQ3CBO4JLI6WGQAKC2QKZKG62X3KL7SSOXQ/prometheus-blackbox-exporter/target/prometheus-blackbox-exporter-2.2.335.jar!/META-INF/fabric8/openshift.yml
    labels:
      provider: fabric8
      project: prometheus-blackbox-exporter
      version: 2.2.335
      group: io.fabric8.devops.apps
    name: blackbox-exporter
  data:
    config.yml: |-
      modules:
        http_2xx:
          prober: http
          timeout: 5s
          http:
            valid_status_codes: []  # Defaults to 2xx
            method: GET
            no_follow_redirects: false
            fail_if_ssl: false
            fail_if_not_ssl: false
- apiVersion: v1
  kind: ConfigMap
  metadata:
    annotations:
      fabric8.io/target-platform: openshift
      maven.fabric8.io/source-url: jar:file:/root/.mvnrepository/io/fabric8/devops/apps/exposecontroller/2.2.335/exposecontroller-2.2.335.jar!/META-INF/fabric8/openshift.yml
    labels:
      provider: fabric8
      project: exposecontroller
      version: 2.2.335
      group: io.fabric8.devops.apps
    name: exposecontroller
  data:
    config.yml: |
      exposer: Route
      watch-current-namespace: true
      domain:
- apiVersion: v1
  kind: ConfigMap
  metadata:
    annotations:
      fabric8.io/iconUrl: https://cdn.rawgit.com/fabric8io/fabric8-console/f619a352/img/fabric8_icon.svg
      maven.fabric8.io/source-url: jar:file:/root/.mvnrepository/io/fabric8/platform/console2/fabric8-runtime-console/1.0.15/fabric8-runtime-console-1.0.15.jar!/META-INF/fabric8/openshift.yml
    labels:
      fabric8.io/kind: package
      provider: fabric8.io
      version: 1.0.15
      project: fabric8-runtime-console
      group: io.fabric8.platform.console2
    name: fabric8-console2-package
  data:
    metadata-url: http://central.maven.org/maven2/io/fabric8/platform/console2/fabric8-runtime-console/maven-metadata.xml
    package-url-prefix: http://central.maven.org/maven2/io/fabric8/platform/console2/fabric8-runtime-console/%[1]s/fabric8-runtime-console-%[1]s-
- apiVersion: v1
  kind: ConfigMap
  metadata:
    annotations:
      maven.fabric8.io/source-url: jar:file:/home/jenkins/workspace/auto_fabric8-online_master-5IANNQP4JMCKRB2TMNCY2EVRW4HXDP4B5SXIL6W4OJSZQCEE6TEA@2/packages/fabric8-online-platform-minimal/target/fabric8-online-platform-minimal-1.0.281.jar!/META-INF/fabric8/openshift.yml
    labels:
      fabric8.io/kind: package
      provider: fabric8.io
      version: 1.0.281
      app: fabric8-online-platform-minimal
      group: io.fabric8.online.packages
    name: fabric8-online
  data:
    metadata-url: http://central.maven.org/maven2/io/fabric8/online/packages/fabric8-online/maven-metadata.xml
    package-url-prefix: http://central.maven.org/maven2/io/fabric8/online/packages/fabric8-online/%[1]s/fabric8-online-%[1]s-
- apiVersion: v1
  kind: ConfigMap
  metadata:
    annotations:
      maven.fabric8.io/source-url: jar:file:/home/jenkins/workspace/auto_fabric8-online_master-5IANNQP4JMCKRB2TMNCY2EVRW4HXDP4B5SXIL6W4OJSZQCEE6TEA@2/packages/fabric8-online-platform-minimal/target/fabric8-online-platform-minimal-1.0.281.jar!/META-INF/fabric8/openshift.yml
    labels:
      fabric8.io/kind: package
      provider: fabric8.io
      version: 1.0.281
      app: fabric8-online-platform-minimal
      group: io.fabric8.online.packages
    name: fabric8-online
  data:
    metadata-url: http://central.maven.org/maven2/io/fabric8/online/packages/fabric8-online/maven-metadata.xml
    package-url-prefix: http://central.maven.org/maven2/io/fabric8/online/packages/fabric8-online/%[1]s/fabric8-online-%[1]s-
- apiVersion: v1
  kind: ConfigMap
  metadata:
    annotations:
      expose.config.fabric8.io/oauth-authorize-url-key: oauth-authorize-uri
      expose.config.fabric8.io/apiserver-key: api-server
      fabric8.io/iconUrl: https://cdn.rawgit.com/fabric8io/fabric8-console/f619a352/img/fabric8_icon.svg
      maven.fabric8.io/source-url: jar:file:/root/.mvnrepository/io/fabric8/platform/console2/fabric8-runtime-console/1.0.15/fabric8-runtime-console-1.0.15.jar!/META-INF/fabric8/openshift.yml
    labels:
      provider: fabric8
      project: fabric8-runtime-console
      version: 1.0.15
      group: io.fabric8.platform.console2
    name: fabric8-runtime-console
  data:
    oauth-client-id: fabric8
    oauth-scope: user:full
    oauth-authorize-uri: ""
    oauth-issuer: ""
    oauth-logout-uri: ""
    api-server: ""
- apiVersion: v1
  kind: ConfigMap
  metadata:
    annotations:
      maven.fabric8.io/source-url: jar:file:/home/jenkins/workspace/c8-cd_fabric8-devops_master-U77AXCWVHY5J4ICIAXQ3CBO4JLI6WGQAKC2QKZKG62X3KL7SSOXQ/prometheus/target/prometheus-2.2.335.jar!/META-INF/fabric8/openshift.yml
    labels:
      provider: fabric8
      project: prometheus
      version: 2.2.335
      group: io.fabric8.devops.apps
    name: prometheus
  data:
    prometheus.yml: |-
      global:
        scrape_interval:     30s
        evaluation_interval: 60s

      rule_files:
        - "*.rules"

      # A scrape configuration for running Prometheus on a Kubernetes cluster.
      # This uses separate scrape configs for cluster components (i.e. API server, node)
      # and services to allow each to use different authentication configs.
      #
      # Kubernetes labels will be added as Prometheus labels on metrics via the
      # `labelmap` relabeling action.
      scrape_configs:

      # Scrape config for API servers.
      - job_name: 'kubernetes-apiservers'

        # This TLS & bearer token file config is used to connect to the actual scrape
        # endpoints for cluster components. This is separate to discovery auth
        # configuration (`in_cluster` below) because discovery & scraping are two
        # separate concerns in Prometheus.
        tls_config:
          # workaround for Prometheus -> Kubernetes cert issue https://github.com/fabric8io/fabric8-devops/issues/438
          insecure_skip_verify: true
          ca_file: /var/run/secrets/kubernetes.io/serviceaccount/ca.crt
        bearer_token_file: /var/run/secrets/kubernetes.io/serviceaccount/token

        scheme: https

        kubernetes_sd_configs:
        - role: endpoints

        relabel_configs:
        - source_labels: [__meta_kubernetes_namespace, __meta_kubernetes_service_name, __meta_kubernetes_endpoint_port_name]
          action: keep
          regex: default;kubernetes;https

      # Scrape config for nodes.
      - job_name: 'kubernetes-nodes'

        # This TLS & bearer token file config is used to connect to the actual scrape
        # endpoints for cluster components. This is separate to discovery auth
        # configuration (`in_cluster` below) because discovery & scraping are two
        # separate concerns in Prometheus.
        tls_config:
          # workaround for Prometheus -> Kubernetes cert issue https://github.com/fabric8io/fabric8-devops/issues/438
          insecure_skip_verify: true
          ca_file: /var/run/secrets/kubernetes.io/serviceaccount/ca.crt
        bearer_token_file: /var/run/secrets/kubernetes.io/serviceaccount/token

        scheme: https

        kubernetes_sd_configs:
        - role: node

        relabel_configs:
        - action: labelmap
          regex: __meta_kubernetes_node_label_(.+)

      # Scrape config for node exporter pods deployed as a daemonset.
      - job_name: 'kubernetes-node-exporters'

        kubernetes_sd_configs:
        - role: pod

        relabel_configs:
        - source_labels: [__meta_kubernetes_pod_name]
          action: keep
          regex: node-exporter-.+
        - source_labels: [__address__, __meta_kubernetes_pod_annotation_prometheus_io_port]
          action: replace
          regex: (.+):(?:\d+);(\d+)
          replacement: ${1}:${2}
          target_label: __address__
        - source_labels: [__meta_kubernetes_pod_node_name]
          action: replace
          target_label: instance

      # Scrape config for service endpoints.
      #
      # The relabeling allows the actual service scrape endpoint to be configured
      # via the following annotations:
      #
      # * `prometheus.io/scrape`: Only scrape services that have a value of `true`
      # * `prometheus.io/scheme`: If the metrics endpoint is secured then you will need
      # to set this to `https` & most likely set the `tls_config` of the scrape config.
      # * `prometheus.io/path`: If the metrics path is not `/metrics` override this.
      # * `prometheus.io/port`: If the metrics are exposed on a different port to the
      # service then set this appropriately.
      - job_name: 'kubernetes-service-endpoints'

        kubernetes_sd_configs:
        - role: endpoints

        relabel_configs:
        - source_labels: [__meta_kubernetes_service_annotation_prometheus_io_scrape]
          action: keep
          regex: true
        - source_labels: [__meta_kubernetes_service_annotation_prometheus_io_scheme]
          action: replace
          target_label: __scheme__
          regex: (https?)
        - source_labels: [__meta_kubernetes_service_annotation_prometheus_io_path]
          action: replace
          regex: (.+)
          target_label: __metrics_path__
        - source_labels: [__address__, __meta_kubernetes_service_annotation_prometheus_io_port]
          action: replace
          target_label: __address__
          regex: (.+)(?::\d+);(\d+)
          replacement: $1:$2
        - action: labelmap
          regex: __meta_kubernetes_service_label_(.+)
        - source_labels: [__meta_kubernetes_service_namespace]
          action: replace
          target_label: kubernetes_namespace
        - source_labels: [__meta_kubernetes_service_name]
          action: replace
          target_label: kubernetes_name

      # Scrape config for probing services via the Blackbox Exporter.
      #
      # The relabeling allows the actual service scrape endpoint to be configured
      # via the following annotations:
      #
      # * `prometheus.io/probe`: Only probe services that have a value of `true`
      - job_name: 'kubernetes-services'

        metrics_path: /probe
        params:
          module: [http_2xx]

        kubernetes_sd_configs:
        - role: service

        relabel_configs:
        - source_labels: [__meta_kubernetes_service_annotation_prometheus_io_probe]
          action: keep
          regex: true
        - source_labels: []
          target_label: __address__
          replacement: blackbox
        - source_labels: [__address__]
          regex: (.*)(:80)?
          target_label: __param_target
        - source_labels: [__meta_kubernetes_service_name,__meta_kubernetes_service_namespace]
          target_label: __param_target
          regex: ([^;]+);(.+)
          replacement: $1.$2.svc
        - action: labelmap
          regex: __meta_kubernetes_service_label_(.+)
        - source_labels: [__meta_kubernetes_service_namespace]
          action: replace
          target_label: kubernetes_namespace
        - source_labels: [__meta_kubernetes_service_name]
          action: replace
          target_label: kubernetes_name

      # Scrape config for pods
      #
      # The relabeling allows the actual pod scrape endpoint to be configured via the
      # following annotations:
      #
      # * `prometheus.io/scrape`: Only scrape pods that have a value of `true`
      # * `prometheus.io/port`: Scrape the pod on the indicated port instead of the default of `9102`.
      - job_name: 'kubernetes-pods'

        kubernetes_sd_configs:
        - role: pod

        relabel_configs:
        - source_labels: [__meta_kubernetes_pod_annotation_prometheus_io_scrape]
          action: keep
          regex: true
        - source_labels: [__meta_kubernetes_pod_annotation_prometheus_io_scheme]
          action: replace
          target_label: __scheme__
          regex: (https?)
        - source_labels: [__meta_kubernetes_pod_annotation_prometheus_io_path]
          action: replace
          target_label: __metrics_path__
          regex: (.+)
        - source_labels: [__address__, __meta_kubernetes_pod_annotation_prometheus_io_port]
          action: replace
          regex: (.+):(?:\d+);(\d+)
          replacement: ${1}:${2}
          target_label: __address__
        - action: labelmap
          regex: __meta_kubernetes_pod_label_(.+)
    pod.rules: |-
      pod:memory_usage_bytes = sum(container_memory_usage_bytes{kubernetes_pod_name=~".+", job="kubernetes-nodes"}) by (kubernetes_pod_name, kubernetes_namespace)

      pod:network_receive_bytes:1m = sum(rate(container_network_receive_bytes_total{kubernetes_pod_name=~".+", job="kubernetes-nodes"}[1m])) by (kubernetes_pod_name, kubernetes_namespace)

      pod:network_transmit_bytes:1m = sum(rate(container_network_transmit_bytes_total{kubernetes_pod_name=~".+", job="kubernetes-nodes"}[1m])) by (kubernetes_pod_name, kubernetes_namespace)

      pod:cpu_usage_seconds:1m = sum(rate(container_cpu_usage_seconds_total{kubernetes_pod_name=~".+", job="kubernetes-nodes"}[1m])) by (kubernetes_pod_name, kubernetes_namespace)

      ALERT ServiceDown
      IF probe_success{job="kubernetes-services"} == 0
        FOR 10s
        LABELS {
          service = "{{$labels.kubernetes_namespace}}/{{$labels.kubernetes_name}}"
        }
        ANNOTATIONS {
          severity    ="page",
          summary     ="Service {{$labels.kubernetes_namespace}}/{{$labels.kubernetes_name}} down",
          description ="Service {{$labels.kubernetes_namespace}}/{{$labels.kubernetes_name}} has been down for more than 10 seconds!"
        }
- apiVersion: extensions/v1beta1
  kind: DaemonSet
  metadata:
    annotations:
      fabric8.io/git-commit: 3e966ed4dd654367b6b0fff80622fea0e858c2df
      fabric8.io/metrics-path: dashboard/file/kubernetes-pods.json/?var-project=prometheus-node-exporter&var-version=2.2.335
      fabric8.io/scm-con-url: scm:git:git@github.com:fabric8io/fabric8-devops.git/prometheus-node-exporter
      fabric8.io/scm-url: http://github.com/fabric8io/fabric8-devops/prometheus-node-exporter
      fabric8.io/iconUrl: https://cdn.rawgit.com/fabric8io/fabric8-devops/master/prometheus-node-exporter/src/main/fabric8/icon.png
      fabric8.io/git-branch: release-v2.2.335
      fabric8.io/scm-devcon-url: scm:git:git@github.com:fabric8io/fabric8-devops.git/prometheus-node-exporter
      fabric8.io/scm-tag: fabric8-devops-2.0.1
      maven.fabric8.io/source-url: jar:file:/home/jenkins/workspace/c8-cd_fabric8-devops_master-U77AXCWVHY5J4ICIAXQ3CBO4JLI6WGQAKC2QKZKG62X3KL7SSOXQ/prometheus-node-exporter/target/prometheus-node-exporter-2.2.335.jar!/META-INF/fabric8/openshift.yml
    labels:
      provider: fabric8
      project: prometheus-node-exporter
      version: 2.2.335
      group: io.fabric8.devops.apps
    name: node-exporter
  spec:
    selector:
      matchLabels:
        project: prometheus-node-exporter
        provider: fabric8
        group: io.fabric8.devops.apps
    template:
      metadata:
        labels:
          provider: fabric8
          project: prometheus-node-exporter
          version: 2.2.335
          group: io.fabric8.devops.apps
        name: node-exporter
      spec:
        containers:
        - args:
          - -collector.procfs
          - /host/proc
          - -collector.sysfs
          - /host/proc
          - -collector.filesystem.ignored-mount-points
          - ^/(sys|proc|dev|host|etc)($|/)
          image: prom/node-exporter
          name: node-exporter
          ports:
          - containerPort: 9100
            name: scrape
          volumeMounts:
          - mountPath: /host/proc
            name: host-proc
            readOnly: true
          - mountPath: /host/sys
            name: host-sys
            readOnly: true
          - mountPath: /rootfs
            name: host-root
            readOnly: true
        hostNetwork: true
        serviceAccountName: node-exporter
        volumes:
        - hostPath:
            path: /proc
          name: host-proc
        - hostPath:
            path: /sys
          name: host-sys
        - hostPath:
            path: /
          name: host-root
- apiVersion: v1
  kind: DeploymentConfig
  metadata:
    annotations:
      fabric8.io/git-commit: 3e966ed4dd654367b6b0fff80622fea0e858c2df
      fabric8.io/metrics-path: dashboard/file/kubernetes-pods.json/?var-project=configmapcontroller&var-version=2.2.335
      fabric8.io/scm-con-url: scm:git:git@github.com:fabric8io/fabric8-devops.git/configmapcontroller
      fabric8.io/scm-url: http://github.com/fabric8io/fabric8-devops/configmapcontroller
      fabric8.io/iconUrl: https://cdn.rawgit.com/fabric8io/fabric8-devops/master/configmapcontroller/src/main/fabric8/icon.png
      fabric8.io/git-branch: release-v2.2.335
      fabric8.io/scm-devcon-url: scm:git:git@github.com:fabric8io/fabric8-devops.git/configmapcontroller
      fabric8.io/scm-tag: fabric8-devops-2.0.1
      maven.fabric8.io/source-url: jar:file:/root/.mvnrepository/io/fabric8/devops/apps/configmapcontroller/2.2.335/configmapcontroller-2.2.335.jar!/META-INF/fabric8/openshift.yml
    labels:
      provider: fabric8
      project: configmapcontroller
      version: 2.2.335
      group: io.fabric8.devops.apps
    name: configmapcontroller
  spec:
    replicas: 1
    selector:
      project: configmapcontroller
      provider: fabric8
      group: io.fabric8.devops.apps
    strategy:
      rollingParams:
        timeoutSeconds: 3600
      type: Rolling
    template:
      metadata:
        annotations:
          fabric8.io/git-commit: 3e966ed4dd654367b6b0fff80622fea0e858c2df
          fabric8.io/metrics-path: dashboard/file/kubernetes-pods.json/?var-project=configmapcontroller&var-version=2.2.335
          fabric8.io/scm-con-url: scm:git:git@github.com:fabric8io/fabric8-devops.git/configmapcontroller
          fabric8.io/scm-url: http://github.com/fabric8io/fabric8-devops/configmapcontroller
          fabric8.io/iconUrl: https://cdn.rawgit.com/fabric8io/fabric8-devops/master/configmapcontroller/src/main/fabric8/icon.png
          fabric8.io/git-branch: release-v2.2.335
          fabric8.io/scm-devcon-url: scm:git:git@github.com:fabric8io/fabric8-devops.git/configmapcontroller
          fabric8.io/scm-tag: fabric8-devops-2.0.1
        labels:
          provider: fabric8
          project: configmapcontroller
          version: 2.2.335
          group: io.fabric8.devops.apps
      spec:
        containers:
        - env:
          - name: KUBERNETES_NAMESPACE
            valueFrom:
              fieldRef:
                fieldPath: metadata.namespace
          image: fabric8/configmapcontroller:2.3.7
          name: configmapcontroller
        serviceAccountName: configmapcontroller
    triggers:
    - type: ConfigChange
- apiVersion: v1
  kind: DeploymentConfig
  metadata:
    annotations:
      fabric8.io/git-commit: 3e966ed4dd654367b6b0fff80622fea0e858c2df
      fabric8.io/metrics-path: dashboard/file/kubernetes-pods.json/?var-project=elasticsearch&var-version=2.2.335
      fabric8.io/scm-con-url: scm:git:git@github.com:fabric8io/fabric8-devops.git/elasticsearch
      fabric8.io/scm-url: http://github.com/fabric8io/fabric8-devops/elasticsearch
      fabric8.io/iconUrl: https://cdn.rawgit.com/fabric8io/fabric8-devops/master/elasticsearch/src/main/fabric8/icon.png
      fabric8.io/git-branch: release-v2.2.335
      fabric8.io/scm-devcon-url: scm:git:git@github.com:fabric8io/fabric8-devops.git/elasticsearch
      fabric8.io/scm-tag: fabric8-devops-2.0.1
      maven.fabric8.io/source-url: jar:file:/root/.mvnrepository/io/fabric8/devops/apps/elasticsearch/2.2.335/elasticsearch-2.2.335.jar!/META-INF/fabric8/openshift.yml
    labels:
      provider: fabric8
      project: elasticsearch
      version: 2.2.335
      group: io.fabric8.devops.apps
    name: elasticsearch
  spec:
    replicas: 1
    selector:
      project: elasticsearch
      provider: fabric8
      group: io.fabric8.devops.apps
    strategy:
      rollingParams:
        timeoutSeconds: 3600
      type: Rolling
    template:
      metadata:
        annotations:
          fabric8.io/git-commit: 3e966ed4dd654367b6b0fff80622fea0e858c2df
          fabric8.io/metrics-path: dashboard/file/kubernetes-pods.json/?var-project=elasticsearch&var-version=2.2.335
          fabric8.io/scm-con-url: scm:git:git@github.com:fabric8io/fabric8-devops.git/elasticsearch
          fabric8.io/scm-url: http://github.com/fabric8io/fabric8-devops/elasticsearch
          fabric8.io/iconUrl: https://cdn.rawgit.com/fabric8io/fabric8-devops/master/elasticsearch/src/main/fabric8/icon.png
          fabric8.io/git-branch: release-v2.2.335
          fabric8.io/scm-devcon-url: scm:git:git@github.com:fabric8io/fabric8-devops.git/elasticsearch
          fabric8.io/scm-tag: fabric8-devops-2.0.1
        labels:
          provider: fabric8
          project: elasticsearch
          version: 2.2.335
          group: io.fabric8.devops.apps
      spec:
        containers:
        - env:
          - name: SERVICE
            value: elasticsearch-masters
          - name: KUBERNETES_NAMESPACE
            valueFrom:
              fieldRef:
                fieldPath: metadata.namespace
          image: fabric8/elasticsearch-k8s:2.3.4
          imagePullPolicy: IfNotPresent
          livenessProbe:
            initialDelaySeconds: 30
            tcpSocket:
              port: 9300
          name: elasticsearch
          readinessProbe:
            httpGet:
              path: /_template/logstash
              port: 9200
            initialDelaySeconds: 5
          securityContext:
            privileged: false
          volumeMounts:
          - mountPath: /usr/share/elasticsearch/data
            name: data
        - image: fabric8/elasticsearch-logstash-template:2.2.335
          name: logstash-template
        volumes:
        - name: data
          persistentVolumeClaim:
            claimName: es-data
    triggers:
    - type: ConfigChange
- apiVersion: v1
  kind: DeploymentConfig
  metadata:
    annotations:
      configmap.fabric8.io/update-on-change: exposecontroller
      fabric8.io/git-commit: 3e966ed4dd654367b6b0fff80622fea0e858c2df
      fabric8.io/metrics-path: dashboard/file/kubernetes-pods.json/?var-project=exposecontroller&var-version=2.2.335
      fabric8.io/scm-con-url: scm:git:git@github.com:fabric8io/fabric8-devops.git/exposecontroller
      fabric8.io/scm-url: http://github.com/fabric8io/fabric8-devops/exposecontroller
      fabric8.io/iconUrl: https://cdn.rawgit.com/fabric8io/fabric8-devops/master/exposecontroller/src/main/fabric8/icon.png
      fabric8.io/git-branch: release-v2.2.335
      fabric8.io/scm-devcon-url: scm:git:git@github.com:fabric8io/fabric8-devops.git/exposecontroller
      fabric8.io/scm-tag: fabric8-devops-2.0.1
      maven.fabric8.io/source-url: jar:file:/root/.mvnrepository/io/fabric8/devops/apps/exposecontroller/2.2.335/exposecontroller-2.2.335.jar!/META-INF/fabric8/openshift.yml
    labels:
      provider: fabric8
      project: exposecontroller
      version: 2.2.335
      group: io.fabric8.devops.apps
    name: exposecontroller
  spec:
    replicas: 1
    selector:
      project: exposecontroller
      provider: fabric8
      group: io.fabric8.devops.apps
    strategy:
      rollingParams:
        timeoutSeconds: 3600
      type: Rolling
    template:
      metadata:
        annotations:
          fabric8.io/git-commit: 3e966ed4dd654367b6b0fff80622fea0e858c2df
          fabric8.io/metrics-path: dashboard/file/kubernetes-pods.json/?var-project=exposecontroller&var-version=2.2.335
          fabric8.io/scm-con-url: scm:git:git@github.com:fabric8io/fabric8-devops.git/exposecontroller
          fabric8.io/scm-url: http://github.com/fabric8io/fabric8-devops/exposecontroller
          fabric8.io/iconUrl: https://cdn.rawgit.com/fabric8io/fabric8-devops/master/exposecontroller/src/main/fabric8/icon.png
          configmap.fabric8.io/update-on-change: exposecontroller
          fabric8.io/git-branch: release-v2.2.335
          fabric8.io/scm-devcon-url: scm:git:git@github.com:fabric8io/fabric8-devops.git/exposecontroller
          fabric8.io/scm-tag: fabric8-devops-2.0.1
        labels:
          provider: fabric8
          project: exposecontroller
          version: 2.2.335
          group: io.fabric8.devops.apps
      spec:
        containers:
        - env:
          - name: KUBERNETES_NAMESPACE
            valueFrom:
              fieldRef:
                fieldPath: metadata.namespace
          image: fabric8/exposecontroller:2.3.16
          livenessProbe:
            exec:
              command:
              - cat
              - /tmp/restarteveryday
            initialDelaySeconds: 86164
          name: exposecontroller
          volumeMounts:
          - mountPath: /etc/exposecontroller
            name: config-volume
        serviceAccountName: exposecontroller
        volumes:
        - configMap:
            name: exposecontroller
          name: config-volume
    triggers:
    - type: ConfigChange
- apiVersion: v1
  kind: DeploymentConfig
  metadata:
    annotations:
      fabric8.io/git-commit: 55cd5281bcfb201c79e7ba362fe68b839778086e
      fabric8.io/metrics-path: dashboard/file/kubernetes-pods.json/?var-project=fabric8-planner&var-version=1.0.281
      fabric8.io/scm-con-url: scm:git:git@github.com:fabric8io/fabric8-online.git/apps/fabric8-planner
      fabric8.io/scm-url: http://github.com/fabric8io/fabric8-online/apps/fabric8-planner
      fabric8.io/iconUrl: https://cdn.rawgit.com/fabric8io/fabric8-online/master/apps/fabric8-planner/src/main/fabric8/icon.png
      fabric8.io/git-branch: release-v1.0.281
      fabric8.io/scm-devcon-url: scm:git:git@github.com:fabric8io/fabric8-online.git/apps/fabric8-planner
      fabric8.io/scm-tag: fabric8-online-2.0.1
      maven.fabric8.io/source-url: jar:file:/home/jenkins/workspace/auto_fabric8-online_master-5IANNQP4JMCKRB2TMNCY2EVRW4HXDP4B5SXIL6W4OJSZQCEE6TEA@2/apps/fabric8-planner/target/fabric8-planner-1.0.281.jar!/META-INF/fabric8/openshift.yml
    labels:
      app: fabric8-planner
      provider: fabric8
      version: 1.0.281
      group: io.fabric8.online.apps
    name: fabric8-planner
  spec:
    replicas: 1
    selector:
      app: fabric8-planner
      provider: fabric8
      group: io.fabric8.online.apps
    strategy:
      rollingParams:
        timeoutSeconds: 3600
      type: Rolling
    template:
      metadata:
        annotations:
          fabric8.io/git-commit: 55cd5281bcfb201c79e7ba362fe68b839778086e
          fabric8.io/metrics-path: dashboard/file/kubernetes-pods.json/?var-project=fabric8-planner&var-version=1.0.281
          fabric8.io/scm-con-url: scm:git:git@github.com:fabric8io/fabric8-online.git/apps/fabric8-planner
          fabric8.io/scm-url: http://github.com/fabric8io/fabric8-online/apps/fabric8-planner
          fabric8.io/iconUrl: https://cdn.rawgit.com/fabric8io/fabric8-online/master/apps/fabric8-planner/src/main/fabric8/icon.png
          fabric8.io/git-branch: release-v1.0.281
          fabric8.io/scm-devcon-url: scm:git:git@github.com:fabric8io/fabric8-online.git/apps/fabric8-planner
          fabric8.io/scm-tag: fabric8-online-2.0.1
        labels:
          app: fabric8-planner
          provider: fabric8
          version: 1.0.281
          group: io.fabric8.online.apps
      spec:
        containers:
        - image: docker.io/almightyui/almighty-ui:demo
          imagePullPolicy: IfNotPresent
          name: planner
    triggers:
    - type: ConfigChange
- apiVersion: v1
  kind: DeploymentConfig
  metadata:
    annotations:
      configmap.fabric8.io/update-on-change: fabric8-runtime-console
      fabric8.io/iconUrl: https://cdn.rawgit.com/fabric8io/fabric8-console/f619a352/img/fabric8_icon.svg
      fabric8.io/git-commit: 76ae64103ce803174e324eb23dfae16e9b397999
      fabric8.io/metrics-path: dashboard/file/kubernetes-pods.json/?var-project=fabric8-runtime-console&var-version=1.0.15
      fabric8.io/scm-con-url: scm:git:git@github.com:fabric8io/fabric8-runtime-console.git
      fabric8.io/scm-url: http://github.com/fabric8io/fabric8-runtime-console
      fabric8.io/git-branch: release-v1.0.15
      fabric8.io/scm-devcon-url: scm:git:git@github.com:fabric8io/fabric8-runtime-console.git
      fabric8.io/scm-tag: fabric8-runtime-console-2.0.1
      maven.fabric8.io/source-url: jar:file:/root/.mvnrepository/io/fabric8/platform/console2/fabric8-runtime-console/1.0.15/fabric8-runtime-console-1.0.15.jar!/META-INF/fabric8/openshift.yml
    labels:
      provider: fabric8
      project: fabric8-runtime-console
      version: 1.0.15
      group: io.fabric8.platform.console2
    name: fabric8-runtime-console
  spec:
    replicas: 1
    selector:
      project: fabric8-runtime-console
      provider: fabric8
      version: 1.0.15
      group: io.fabric8.platform.console2
    template:
      metadata:
        annotations:
          fabric8.io/git-commit: 76ae64103ce803174e324eb23dfae16e9b397999
          fabric8.io/metrics-path: dashboard/file/kubernetes-pods.json/?var-project=fabric8-runtime-console&var-version=1.0.15
          fabric8.io/scm-con-url: scm:git:git@github.com:fabric8io/fabric8-runtime-console.git
          fabric8.io/scm-url: http://github.com/fabric8io/fabric8-runtime-console
          fabric8.io/iconUrl: https://cdn.rawgit.com/fabric8io/fabric8-console/f619a352/img/fabric8_icon.svg
          configmap.fabric8.io/update-on-change: fabric8-runtime-console
          fabric8.io/git-branch: release-v1.0.15
          fabric8.io/scm-devcon-url: scm:git:git@github.com:fabric8io/fabric8-runtime-console.git
          fabric8.io/scm-tag: fabric8-runtime-console-2.0.1
        labels:
          provider: fabric8
          project: fabric8-runtime-console
          version: 1.0.15
          group: io.fabric8.platform.console2
      spec:
        containers:
        - env:
          - name: OAUTH_ISSUER
            valueFrom:
              configMapKeyRef:
                key: oauth-issuer
                name: fabric8-runtime-console
          - name: OAUTH_LOGOUT_URI
            valueFrom:
              configMapKeyRef:
                key: oauth-logout-uri
                name: fabric8-runtime-console
          - name: OAUTH_CLIENT_ID
            valueFrom:
              configMapKeyRef:
                key: oauth-client-id
                name: fabric8-runtime-console
          - name: OAUTH_SCOPE
            valueFrom:
              configMapKeyRef:
                key: oauth-scope
                name: fabric8-runtime-console
          - name: OAUTH_AUTHORIZE_URI
            valueFrom:
              configMapKeyRef:
                key: oauth-authorize-uri
                name: fabric8-runtime-console
          - name: K8S_API_SERVER
            valueFrom:
              configMapKeyRef:
                key: api-server
                name: fabric8-runtime-console
          image: fabric8/fabric8-runtime-console:1.0.15
          imagePullPolicy: IfNotPresent
          livenessProbe:
            initialDelaySeconds: 120
            tcpSocket:
              port: 8001
            timeoutSeconds: 10
          name: fabric8-runtime-console
          ports:
          - containerPort: 8001
            name: http
          readinessProbe:
            initialDelaySeconds: 20
            tcpSocket:
              port: 8001
            timeoutSeconds: 10
        serviceAccountName: fabric8-runtime-console
    triggers:
    - type: ConfigChange
- apiVersion: v1
  kind: DeploymentConfig
  metadata:
    annotations:
      fabric8.io/git-commit: 3e966ed4dd654367b6b0fff80622fea0e858c2df
      fabric8.io/metrics-path: dashboard/file/kubernetes-pods.json/?var-project=grafana&var-version=2.2.335
      fabric8.io/scm-con-url: scm:git:git@github.com:fabric8io/fabric8-devops.git/grafana
      fabric8.io/scm-url: http://github.com/fabric8io/fabric8-devops/grafana
      fabric8.io/iconUrl: https://cdn.rawgit.com/fabric8io/fabric8-devops/master/grafana/src/main/fabric8/icon.png
      fabric8.io/git-branch: release-v2.2.335
      fabric8.io/scm-devcon-url: scm:git:git@github.com:fabric8io/fabric8-devops.git/grafana
      fabric8.io/scm-tag: fabric8-devops-2.0.1
      maven.fabric8.io/source-url: jar:file:/home/jenkins/workspace/c8-cd_fabric8-devops_master-U77AXCWVHY5J4ICIAXQ3CBO4JLI6WGQAKC2QKZKG62X3KL7SSOXQ/grafana/target/grafana-2.2.335.jar!/META-INF/fabric8/openshift.yml
    labels:
      provider: fabric8
      project: grafana
      version: 2.2.335
      group: io.fabric8.devops.apps
    name: grafana
  spec:
    replicas: 1
    selector:
      project: grafana
      provider: fabric8
      group: io.fabric8.devops.apps
    strategy:
      rollingParams:
        timeoutSeconds: 3600
      type: Rolling
    template:
      metadata:
        annotations:
          fabric8.io/git-commit: 3e966ed4dd654367b6b0fff80622fea0e858c2df
          fabric8.io/metrics-path: dashboard/file/kubernetes-pods.json/?var-project=grafana&var-version=2.2.335
          fabric8.io/scm-con-url: scm:git:git@github.com:fabric8io/fabric8-devops.git/grafana
          fabric8.io/scm-url: http://github.com/fabric8io/fabric8-devops/grafana
          fabric8.io/iconUrl: https://cdn.rawgit.com/fabric8io/fabric8-devops/master/grafana/src/main/fabric8/icon.png
          fabric8.io/git-branch: release-v2.2.335
          fabric8.io/scm-devcon-url: scm:git:git@github.com:fabric8io/fabric8-devops.git/grafana
          fabric8.io/scm-tag: fabric8-devops-2.0.1
        labels:
          provider: fabric8
          project: grafana
          version: 2.2.335
          group: io.fabric8.devops.apps
      spec:
        containers:
        - env:
          - name: PROMETHEUS_ADDRESS
            value: http://prometheus
          image: fabric8/grafana:2.6.1
          livenessProbe:
            httpGet:
              port: http
            initialDelaySeconds: 5
          name: grafana
          ports:
          - containerPort: 3000
            name: http
          readinessProbe:
            httpGet:
              port: http
            initialDelaySeconds: 5
          volumeMounts:
          - mountPath: /var/lib/grafana
            name: data-volume
        volumes:
        - name: data-volume
          persistentVolumeClaim:
            claimName: grafana-data
    triggers:
    - type: ConfigChange
- apiVersion: v1
  kind: DeploymentConfig
  metadata:
    annotations:
      fabric8.io/git-commit: 3e966ed4dd654367b6b0fff80622fea0e858c2df
      fabric8.io/metrics-path: dashboard/file/kubernetes-pods.json/?var-project=kibana&var-version=2.2.335
      fabric8.io/scm-con-url: scm:git:git@github.com:fabric8io/fabric8-devops.git/kibana
      fabric8.io/scm-url: http://github.com/fabric8io/fabric8-devops/kibana
      fabric8.io/iconUrl: https://cdn.rawgit.com/fabric8io/fabric8-devops/master/kibana/src/main/fabric8/icon.svg
      fabric8.io/git-branch: release-v2.2.335
      fabric8.io/scm-devcon-url: scm:git:git@github.com:fabric8io/fabric8-devops.git/kibana
      fabric8.io/scm-tag: fabric8-devops-2.0.1
      maven.fabric8.io/source-url: jar:file:/root/.mvnrepository/io/fabric8/devops/apps/kibana/2.2.335/kibana-2.2.335.jar!/META-INF/fabric8/openshift.yml
    labels:
      provider: fabric8
      project: kibana
      version: 2.2.335
      group: io.fabric8.devops.apps
    name: kibana
  spec:
    replicas: 1
    selector:
      project: kibana
      provider: fabric8
      group: io.fabric8.devops.apps
    strategy:
      rollingParams:
        timeoutSeconds: 3600
      type: Rolling
    template:
      metadata:
        annotations:
          fabric8.io/git-commit: 3e966ed4dd654367b6b0fff80622fea0e858c2df
          fabric8.io/metrics-path: dashboard/file/kubernetes-pods.json/?var-project=kibana&var-version=2.2.335
          fabric8.io/scm-con-url: scm:git:git@github.com:fabric8io/fabric8-devops.git/kibana
          fabric8.io/scm-url: http://github.com/fabric8io/fabric8-devops/kibana
          fabric8.io/iconUrl: https://cdn.rawgit.com/fabric8io/fabric8-devops/master/kibana/src/main/fabric8/icon.svg
          fabric8.io/git-branch: release-v2.2.335
          fabric8.io/scm-devcon-url: scm:git:git@github.com:fabric8io/fabric8-devops.git/kibana
          fabric8.io/scm-tag: fabric8-devops-2.0.1
        labels:
          provider: fabric8
          project: kibana
          version: 2.2.335
          group: io.fabric8.devops.apps
      spec:
        containers:
        - env:
          - name: ELASTICSEARCH_URL
            value: http://elasticsearch:9200
          - name: KUBERNETES_NAMESPACE
            valueFrom:
              fieldRef:
                fieldPath: metadata.namespace
          image: fabric8/kibana4:v4.5.3
          imagePullPolicy: IfNotPresent
          livenessProbe:
            initialDelaySeconds: 60
            tcpSocket:
              port: 5601
          name: kibana
          readinessProbe:
            httpGet:
              path: /
              port: 5601
            initialDelaySeconds: 5
          securityContext:
            privileged: false
        - env:
          - name: ELASTICSEARCH_URL
            value: http://elasticsearch:9200
          image: fabric8/kibana-config:2.2.335
          name: logstash-template
    triggers:
    - type: ConfigChange
- apiVersion: v1
  kind: DeploymentConfig
  metadata:
    annotations:
      fabric8.io/git-commit: 3e966ed4dd654367b6b0fff80622fea0e858c2df
      fabric8.io/metrics-path: dashboard/file/kubernetes-pods.json/?var-project=prometheus&var-version=2.2.335
      fabric8.io/scm-con-url: scm:git:git@github.com:fabric8io/fabric8-devops.git/prometheus
      fabric8.io/scm-url: http://github.com/fabric8io/fabric8-devops/prometheus
      fabric8.io/iconUrl: https://cdn.rawgit.com/fabric8io/fabric8-devops/master/prometheus/src/main/fabric8/icon.png
      fabric8.io/git-branch: release-v2.2.335
      fabric8.io/scm-devcon-url: scm:git:git@github.com:fabric8io/fabric8-devops.git/prometheus
      fabric8.io/scm-tag: fabric8-devops-2.0.1
      maven.fabric8.io/source-url: jar:file:/home/jenkins/workspace/c8-cd_fabric8-devops_master-U77AXCWVHY5J4ICIAXQ3CBO4JLI6WGQAKC2QKZKG62X3KL7SSOXQ/prometheus/target/prometheus-2.2.335.jar!/META-INF/fabric8/openshift.yml
    labels:
      provider: fabric8
      project: prometheus
      version: 2.2.335
      group: io.fabric8.devops.apps
    name: prometheus
  spec:
    replicas: 1
    selector:
      project: prometheus
      provider: fabric8
      group: io.fabric8.devops.apps
    strategy:
      rollingParams:
        timeoutSeconds: 3600
      type: Rolling
    template:
      metadata:
        annotations:
          fabric8.io/git-commit: 3e966ed4dd654367b6b0fff80622fea0e858c2df
          fabric8.io/metrics-path: dashboard/file/kubernetes-pods.json/?var-project=prometheus&var-version=2.2.335
          fabric8.io/scm-con-url: scm:git:git@github.com:fabric8io/fabric8-devops.git/prometheus
          fabric8.io/scm-url: http://github.com/fabric8io/fabric8-devops/prometheus
          fabric8.io/iconUrl: https://cdn.rawgit.com/fabric8io/fabric8-devops/master/prometheus/src/main/fabric8/icon.png
          fabric8.io/git-branch: release-v2.2.335
          fabric8.io/scm-devcon-url: scm:git:git@github.com:fabric8io/fabric8-devops.git/prometheus
          fabric8.io/scm-tag: fabric8-devops-2.0.1
        labels:
          provider: fabric8
          project: prometheus
          version: 2.2.335
          group: io.fabric8.devops.apps
      spec:
        containers:
        - image: prom/prometheus:v1.3.1
          livenessProbe:
            httpGet:
              port: http
            initialDelaySeconds: 1
          name: prometheus
          ports:
          - containerPort: 9090
            name: http
          readinessProbe:
            httpGet:
              port: http
            initialDelaySeconds: 1
          volumeMounts:
          - mountPath: /etc/prometheus
            name: config-volume
          - mountPath: /prometheus
            name: data-volume
            subPath: prometheus-db
        - args:
          - -volume-dir
          - /etc/prometheus
          - -webhook-url
          - http://localhost:9090/-/reload
          image: jimmidyson/configmap-reload:v0.1
          name: configmap-reload
          volumeMounts:
          - mountPath: /etc/prometheus
            name: config-volume
        serviceAccountName: metrics
        volumes:
        - configMap:
            name: prometheus
          name: config-volume
        - name: data-volume
          persistentVolumeClaim:
            claimName: prometheus-data
    triggers:
    - type: ConfigChange
- apiVersion: v1
  kind: DeploymentConfig
  metadata:
    annotations:
      fabric8.io/git-commit: 3e966ed4dd654367b6b0fff80622fea0e858c2df
      fabric8.io/metrics-path: dashboard/file/kubernetes-pods.json/?var-project=prometheus-blackbox-exporter&var-version=2.2.335
      fabric8.io/scm-con-url: scm:git:git@github.com:fabric8io/fabric8-devops.git/prometheus-blackbox-exporter
      fabric8.io/scm-url: http://github.com/fabric8io/fabric8-devops/prometheus-blackbox-exporter
      fabric8.io/iconUrl: https://cdn.rawgit.com/fabric8io/fabric8-devops/master/prometheus-blackbox-exporter/src/main/fabric8/icon.png
      fabric8.io/git-branch: release-v2.2.335
      fabric8.io/scm-devcon-url: scm:git:git@github.com:fabric8io/fabric8-devops.git/prometheus-blackbox-exporter
      fabric8.io/scm-tag: fabric8-devops-2.0.1
      maven.fabric8.io/source-url: jar:file:/home/jenkins/workspace/c8-cd_fabric8-devops_master-U77AXCWVHY5J4ICIAXQ3CBO4JLI6WGQAKC2QKZKG62X3KL7SSOXQ/prometheus-blackbox-exporter/target/prometheus-blackbox-exporter-2.2.335.jar!/META-INF/fabric8/openshift.yml
    labels:
      provider: fabric8
      project: prometheus-blackbox-exporter
      version: 2.2.335
      group: io.fabric8.devops.apps
    name: prometheus-blackbox-exporter
  spec:
    replicas: 1
    selector:
      project: prometheus-blackbox-exporter
      provider: fabric8
      group: io.fabric8.devops.apps
    strategy:
      rollingParams:
        timeoutSeconds: 3600
      type: Rolling
    template:
      metadata:
        annotations:
          fabric8.io/git-commit: 3e966ed4dd654367b6b0fff80622fea0e858c2df
          fabric8.io/metrics-path: dashboard/file/kubernetes-pods.json/?var-project=prometheus-blackbox-exporter&var-version=2.2.335
          fabric8.io/scm-con-url: scm:git:git@github.com:fabric8io/fabric8-devops.git/prometheus-blackbox-exporter
          fabric8.io/scm-url: http://github.com/fabric8io/fabric8-devops/prometheus-blackbox-exporter
          fabric8.io/iconUrl: https://cdn.rawgit.com/fabric8io/fabric8-devops/master/prometheus-blackbox-exporter/src/main/fabric8/icon.png
          fabric8.io/git-branch: release-v2.2.335
          fabric8.io/scm-devcon-url: scm:git:git@github.com:fabric8io/fabric8-devops.git/prometheus-blackbox-exporter
          fabric8.io/scm-tag: fabric8-devops-2.0.1
        labels:
          provider: fabric8
          project: prometheus-blackbox-exporter
          version: 2.2.335
          group: io.fabric8.devops.apps
      spec:
        containers:
        - image: prom/blackbox-exporter:master
          livenessProbe:
            httpGet:
              port: http
            initialDelaySeconds: 1
          name: blackbox-exporter
          ports:
          - containerPort: 9115
            name: http
          readinessProbe:
            httpGet:
              port: http
            initialDelaySeconds: 1
          volumeMounts:
          - mountPath: /etc/blackbox_exporter
            name: config-volume
        volumes:
        - configMap:
            name: blackbox-exporter
          name: config-volume
    triggers:
    - type: ConfigChange
- apiVersion: v1
  kind: Route
  metadata:
    annotations:
      prometheus.io/scrape: "true"
      prometheus.io/port: "9115"
      maven.fabric8.io/source-url: jar:file:/home/jenkins/workspace/c8-cd_fabric8-devops_master-U77AXCWVHY5J4ICIAXQ3CBO4JLI6WGQAKC2QKZKG62X3KL7SSOXQ/prometheus-blackbox-exporter/target/prometheus-blackbox-exporter-2.2.335.jar!/META-INF/fabric8/openshift.yml
    labels:
      expose: "true"
      provider: fabric8
      project: prometheus-blackbox-exporter
      version: 2.2.335
      group: io.fabric8.devops.apps
    name: blackbox-exporter
  spec:
    port:
      targetPort: 9115
    to:
      kind: Service
      name: blackbox-exporter
- apiVersion: v1
  kind: Route
  metadata:
    annotations:
      maven.fabric8.io/source-url: jar:file:/root/.mvnrepository/io/fabric8/devops/apps/elasticsearch/2.2.335/elasticsearch-2.2.335.jar!/META-INF/fabric8/openshift.yml
    labels:
      provider: fabric8
      expose: "true"
      project: elasticsearch
      version: 2.2.335
      group: io.fabric8.devops.apps
    name: elasticsearch
  spec:
    port:
      targetPort: 9200
    to:
      kind: Service
      name: elasticsearch
- apiVersion: v1
  kind: Route
  metadata:
    annotations:
      fabric8.io/app-menu: development
      fabric8.io/iconUrl: https://cdn.rawgit.com/fabric8io/fabric8-console/f619a352/img/fabric8_icon.svg
      maven.fabric8.io/source-url: jar:file:/root/.mvnrepository/io/fabric8/platform/console2/fabric8-runtime-console/1.0.15/fabric8-runtime-console-1.0.15.jar!/META-INF/fabric8/openshift.yml
    labels:
      project: fabric8-runtime-console
      provider: fabric8
      expose: "true"
      version: 1.0.15
      group: io.fabric8.platform.console2
    name: fabric8-runtime-console
  spec:
    port:
      targetPort: 8001
    to:
      kind: Service
      name: fabric8-runtime-console
- apiVersion: v1
  kind: Route
  metadata:
    annotations:
      fabric8.io/app-menu: development
      maven.fabric8.io/source-url: jar:file:/home/jenkins/workspace/c8-cd_fabric8-devops_master-U77AXCWVHY5J4ICIAXQ3CBO4JLI6WGQAKC2QKZKG62X3KL7SSOXQ/grafana/target/grafana-2.2.335.jar!/META-INF/fabric8/openshift.yml
    labels:
      provider: fabric8
      expose: "true"
      project: grafana
      version: 2.2.335
      group: io.fabric8.devops.apps
    name: grafana
  spec:
    port:
      targetPort: 3000
    to:
      kind: Service
      name: grafana
- apiVersion: v1
  kind: Route
  metadata:
    annotations:
      fabric8.io/app-menu: management
      maven.fabric8.io/source-url: jar:file:/root/.mvnrepository/io/fabric8/devops/apps/kibana/2.2.335/kibana-2.2.335.jar!/META-INF/fabric8/openshift.yml
    labels:
      provider: fabric8
      expose: "true"
      project: kibana
      version: 2.2.335
      group: io.fabric8.devops.apps
    name: kibana
  spec:
    port:
      targetPort: 5601
    to:
      kind: Service
      name: kibana
- apiVersion: v1
  kind: Route
  metadata:
    annotations:
      fabric8.io/app-menu: development
      maven.fabric8.io/source-url: jar:file:/home/jenkins/workspace/auto_fabric8-online_master-5IANNQP4JMCKRB2TMNCY2EVRW4HXDP4B5SXIL6W4OJSZQCEE6TEA@2/apps/fabric8-planner/target/fabric8-planner-1.0.281.jar!/META-INF/fabric8/openshift.yml
    labels:
      app: fabric8-planner
      provider: fabric8
      expose: "true"
      version: 1.0.281
      group: io.fabric8.online.apps
    name: planner
  spec:
    port:
      targetPort: 8080
    to:
      kind: Service
      name: planner
- apiVersion: v1
  kind: Route
  metadata:
    annotations:
      prometheus.io/scrape: "true"
      fabric8.io/app-menu: management
      maven.fabric8.io/source-url: jar:file:/home/jenkins/workspace/c8-cd_fabric8-devops_master-U77AXCWVHY5J4ICIAXQ3CBO4JLI6WGQAKC2QKZKG62X3KL7SSOXQ/prometheus/target/prometheus-2.2.335.jar!/META-INF/fabric8/openshift.yml
    labels:
      provider: fabric8
      expose: "true"
      project: prometheus
      version: 2.2.335
      group: io.fabric8.devops.apps
    name: prometheus
  spec:
    port:
      targetPort: 9090
    to:
      kind: Service
      name: prometheus
